Skip to main content
PATCH
/
wallets
/
{address}
Update Wallet
curl --request PATCH \
  --url https://api.caminotreasury.com/v1/wallets/{address} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "label": "<string>",
  "teamId": "<string>"
}
'
{
  "id": 123,
  "address": "<string>",
  "label": "<string>",
  "type": "internal",
  "owner": "<string>",
  "organizationId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "teamId": "<string>",
  "privyWalletId": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Path Parameters

address
string
required

Ethereum wallet address

Pattern: ^0x[a-fA-F0-9]{40}$

Body

application/json
label
string
Required string length: 1 - 100
teamId
string | null

Response

Updated wallet

id
integer
required
address
string
required
label
string
required
type
enum<string>
required
Available options:
internal,
external
owner
string
required
organizationId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
teamId
string | null
privyWalletId
string | null